title: Projet
icon: image

# status:
#   draft:
#     label: Brouillon
#     text: Le projet n'est pas visible
#   unlisted:
#     label: Non listé
#     text: Le projet est accessible mais pas dans la liste
#   listed:
#     label: Publié
#     text: Le projet est visible publiquement

columns:
  # Colonne principale
  main:
    width: 2/3
    sections:
      # Informations principales
      info:
        type: fields
        fields:
          catchphrase:
            label: Phrase d'accroche
            type: writer
            nodes: false
            help: "Ex: Transformez votre lecture en aventure."
          description:
            label: Description
            type: writer
            help: Description complète du projet

      images:
        type: fields
        fields:
          images_gallery_video:
            width: 2/3
            label: Galerie vidéo d'images
            type: files
            layout: cards
            size: medium
            max: 1
            accept: video/*
            image:
              ratio: 2/3
              cover: true
            uploads:
              template: video
            help: Vidéo qui fait défiler une galerie d'images liée au jeu
          mockup:
            width: 1/3
            label: Image de mise en situation
            type: files
            layout: cards
            max: 1
            size: small
            accept: image/*
            image:
              ratio: 1/1
            uploads:
              template: image
            help: Écran de jeu mis en situation sur un appareil

  # Sidebar
  sidebar:
    width: 1/3
    sections:
      # Métadonnées
      meta:
        type: fields
        fields:
          thumbnail:
            label: Vignette
            type: files
            layout: cards
            max: 1
            accept: image/*
            image:
              ratio: 1/1
            uploads:
              template: image
            help: Petite image carrée représentant le jeu
          category:
            label: Catégorie
            type: text
          impact:
            label: Impact
            type: text

      # Liens externes
      links:
        type: fields
        fields:
          external_links:
            label: Liens externes
            type: structure
            fields:
              link_label:
                label: Nom du bouton
                type: text
                width: 1/2
                placeholder: "Ex: App Store, Site web..."
              link_url:
                label: URL
                type: url
                width: 1/2
